Subject: bug#18051: [Emacs-diffs] trunk r117726: Add string collation.

From: Michael Albinus <[email-masked]>
Date: Fri, 29 Aug 2014 20:01:50 +0200

Eli Zaretskii <[email-masked]> writes:

> Case-insensitive versions of the new functions are yet to be written;
> stay tuned.

I've just committed a patch to the trunk which adds optional arguments
LOCALE and IGNORE-CASE to the collation functions.

> For now, on MS-Windows, you can have that if you use the
> NORM_IGNORECASE flag as the second argument of CompareStringW inside
> w32_compare_strings.

As usual, this I haven't implemented. I would let it to you, Eli.

> For Posix, I guess we should run the 2 strings through towupper (or
> towupper_l, if it exists), and then compare the results with
> wcscoll/wcscoll_l.

Yes.

Best regards, Michael.